## org.h2.server.web
Class WebApp

    java.lang.Object
      org.h2.server.web.WebApp

    public class WebApp

extends java.lang.Object

For each connection to a session, an object of this class is created. This class is used by the H2 Console.

Field Summary
`protected java.util.Properties` `attributes` The session attributes
`protected boolean` `cache` Whether the response can be cached.
`protected java.lang.String` `headerLanguage` The language in the HTTP header.
`protected java.lang.String` `mimeType` The mime type of the current response.
`protected WebServer` `server` The web server.
`protected org.h2.server.web.WebSession` `session` The session.
`protected boolean` `stop` Whether to close the connection.

Method Summary
`protected java.lang.String` `adminShutdown()` Stop the application and the server.
`protected boolean` `loginAsync(java.lang.String driver, java.lang.String url, java.lang.String user, java.lang.String password)` Login in a separate thread if possible.
`protected void` `query(java.sql.Connection conn, java.lang.String s, int i, int size, java.lang.StringBuilder buff)` Execute a query and append the result to the buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server

    protected WebServer server

  The web server.

### session

    protected org.h2.server.web.WebSession session

  The session.

### attributes

    protected java.util.Properties attributes

  The session attributes

### mimeType

    protected java.lang.String mimeType

  The mime type of the current response.

### cache

    protected boolean cache

  Whether the response can be cached.

### stop

    protected boolean stop

  Whether to close the connection.

### headerLanguage

    protected java.lang.String headerLanguage

  The language in the HTTP header.

Method Detail

### adminShutdown

    protected java.lang.String adminShutdown()

  Stop the application and the server.

  Returns:
    the page to display

### loginAsync

    protected boolean loginAsync(java.lang.String driver,
                                 java.lang.String url,
                                 java.lang.String user,
                                 java.lang.String password)

  Login in a separate thread if possible.

  Parameters:
    `driver` - the driver class
    `url` - the database URL
    `user` - the user name
    `password` - the password
  Returns:
    false if asynchronous login is not possible

### query

    protected void query(java.sql.Connection conn,
                         java.lang.String s,
                         int i,
                         int size,
                         java.lang.StringBuilder buff)

  Execute a query and append the result to the buffer.

  Parameters:
    `conn` - the connection
    `s` - the statement
    `i` - the index
    `size` - the number of statements
    `buff` - the target buffer